Subject: [bug#40601] [bug#39329] [PATCH v4 0/2] Start guix-daemon on SysV.

From: Vincent Legoll <[email-masked]>
Date: Tue, 14 Apr 2020 12:40:13 +0200

Hello,

I now have tested the patch series in #40601

also on latest devuan-sysvinit x86_64.

On 13/04/2020 20:21, Leo Famulari wrote:
> On Mon, Apr 13, 2020 at 08:08:29PM +0200, Danny Milosavljevic wrote:
>> I don't know whether it actually works.
>>
>> I don't feel great just closing this because of that.
> Okay, feel free to reopen if you want [0]
>
>> I mean SysV is kinda outdated, so I wouldn't even know how to test it myself.
>> Would Devuan work?
>> Or Redhat 6/CentOS 6?
> I'm sure we will get some bug reports if it doesn't work for them.

Here's the first one: ;-)

the sysvinit init.d script relies on "daemonize" which is not

installed by default on devuan.

Would fixing it by checking a second round of REQUIRED_BY_INIT

after checking the init type be the right way ?

Or should I report an issue about that ?

But if daemonize is installed, the sysvinit support works

as expected, and I can run guix commands as for the

other tests I did.

Thanks

-- 

Vincent Legoll